StatsHub Docs
APIAPI v2V2 endpoint referenceBet tracker

/me/tracked-bets

Record a bet

POST
/me/tracked-bets

Record a bet

Authorization

AuthorizationBearer <token>

Supabase access token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/me/tracked-bets" \  -H "Content-Type: application/json" \  -d '{    "bankrollId": "string",    "betType": "string",    "bookmakerId": "string",    "direction": "string",    "fixtureId": "string",    "line": 0,    "marketType": "string",    "modelName": "string",    "notes": "string",    "oddsTaken": 0,    "playerId": "string",    "source": "string",    "stake": 0,    "tags": [      "string"    ],    "teamId": "string",    "teamSide": "string"  }'
{  "data": {    "bankrollId": "string",    "betType": "string",    "bookmakerId": "string",    "competition": {      "id": "string",      "name": "string",      "slug": "string"    },    "country": "string",    "createdAt": "2019-08-24T14:15:22Z",    "fixture": {      "awayTeam": {        "id": "string",        "name": "string",        "slug": "string"      },      "homeTeam": {        "id": "string",        "name": "string",        "slug": "string"      },      "id": "string",      "kickoffAt": "2019-08-24T14:15:22Z",      "slug": "string"    },    "id": "string",    "market": {      "direction": "string",      "line": 0.1,      "oddsTaken": 0.1,      "type": "string"    },    "modelName": "string",    "notes": "string",    "player": {      "id": "string",      "name": "string"    },    "result": {      "actualResult": 0,      "profitLoss": 0,      "settledAt": "2019-08-24T14:15:22Z"    },    "source": "string",    "stake": {      "amount": 0.1,      "currency": "string",      "unitValue": 0    },    "status": "string",    "tags": [      "string"    ],    "team": {      "id": "string",      "name": "string",      "slug": "string"    },    "teamSide": "string"  }}